<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tool="http://schemas.android.com/tools"
	android:layout_width="match_parent"
	android:layout_height="match_parent"
	android:paddingBottom="16dp">

	<androidx.constraintlayout.widget.ConstraintLayout
		android:id="@+id/results_overlay"
		android:layout_width="match_parent"
		android:layout_height="match_parent">

		<com.google.android.material.progressindicator.CircularProgressIndicator
			android:id="@+id/results_progress"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:indeterminate="true"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent" />

		<ImageView
			android:id="@+id/error_image"
			android:layout_width="92dp"
			android:layout_height="92dp"
			android:visibility="gone"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent"
			tool:ignore="ContentDescription"
			tool:src="@drawable/error_net" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/error_text"
			android:layout_width="0dp"
			android:layout_height="wrap_content"
			android:layout_marginStart="16dp"
			android:layout_marginTop="8dp"
			android:layout_marginEnd="16dp"
			android:textAlignment="center"
			android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
			android:visibility="gone"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/error_image"
			tool:text="No connection" />

	</androidx.constraintlayout.widget.ConstraintLayout>

	<com.google.android.material.appbar.AppBarLayout
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:fitsSystemWindows="true"
		app:liftOnScroll="true">

		<com.google.android.material.appbar.MaterialToolbar
			android:id="@+id/top_app_bar"
			android:layout_width="match_parent"
			android:layout_height="?attr/actionBarSize"
			app:title="@string/title_activity_results" />

	</com.google.android.material.appbar.AppBarLayout>

	<androidx.recyclerview.widget.RecyclerView
		android:id="@+id/results_recycler"
		android:layout_width="match_parent"
		android:layout_height="match_parent"
		android:clipToPadding="false"
		android:fitsSystemWindows="true"
		android:visibility="gone"
		app:layout_behavior="@string/appbar_scrolling_view_behavior" />
</androidx.coordinatorlayout.widget.CoordinatorLayout>